Skip to main content
GET
/
valorant
/
v2
/
esports
/
vlr
/
players
/
{player}
/
matches
cURL
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v2/esports/vlr/players/{player}/matches
import requests

url = "https://api.henrikdev.xyz/valorant/v2/esports/vlr/players/{player}/matches"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v2/esports/vlr/players/{player}/matches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "league": {
        "icon": "<string>",
        "name": "<string>",
        "series": "<string>"
      },
      "match": {
        "id": 1,
        "slug": "<string>"
      },
      "teams": [
        {
          "icon": "<string>",
          "name": "<string>",
          "tag": "<string>",
          "score": 1
        }
      ],
      "vods": [
        "<string>"
      ],
      "date": "<string>"
    }
  ],
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

player
integer<int32>
required
Required range: x >= 0

Query Parameters

page
integer<int32> | null
Required range: x >= 0

Response

Esports player matches retrieved successfully

data
object[]
required
status
integer<int32>
required
Required range: x >= 0